%global momorel 1

Summary:   Hardware lister
Name:      lshw
Version:   B.02.14
Release:   %{momorel}m%{?dist}
License:   GPLv2
Group:     Applications/System
URL:       http://ezix.org/project/wiki/HardwareLiSter
Source0:   http://www.ezix.org/software/files/%{name}-%{version}.tar.gz
NoSource:  0
Source1:   lshw.desktop
Source2:   lshw.consolehelper
Source3:   lshw.pam
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
lshw is a small tool to provide detailed informaton on the hardware
configuration of the machine. It can report exact memory configuration,
firmware version, mainboard configuration, CPU version and speed, cache
configuration, bus speed, etc. on DMI-capable x86 systems and on some
PowerPC machines (PowerMac G4 is known to work).

Information can be output in plain text, XML or HTML.

%package gui
Summary:  Graphical hardware lister
Group:    Applications/System
Requires: usermode
Requires: %{name}
Requires: %{name} = %{version}-%{release}
BuildRequires: gtk2-devel >= 2.4
BuildRequires: desktop-file-utils

%description gui
Graphical frontend for the hardware lister (lshw) tool.
If desired, hardware information can be saved to file in
plain, XML or HTML format.

%prep
%setup -q -n %{name}-%{version}

%{__sed} -i 's|-g -Wall -g|%{optflags}|' src/Makefile
%{__sed} -i 's|-g -Wall -Os|%{optflags}|' src/core/Makefile
%{__sed} -i 's|-g -Wall -Os|%{optflags}|' src/gui/Makefile
%{__sed} -i 's|LDFLAGS= -Os -s|LDFLAGS=|' src/gui/Makefile

%build
%{__make} %{?_smp_mflags} SBINDIR="%{_sbindir}" gui 

# Replace copyrighted icons
pushd src
%{__make} nologo

%install
%{__rm} -rf %{buildroot}
%{__make} install              \
        DESTDIR="%{buildroot}" \
        PREFIX="%{_prefix}"    \
        SBINDIR="%{_sbindir}"  \
        MANDIR="%{_mandir}"    \
        INSTALL="%{__install} -p"

%{__make} install-gui          \
        DESTDIR="%{buildroot}" \
        PREFIX="%{_prefix}"    \
        SBINDIR="%{_sbindir}"  \
        MANDIR="%{_mandir}"    \
        INSTALL="%{__install} -p"

%{__ln_s} -f gtk-lshw %{buildroot}%{_sbindir}/lshw-gui

# desktop icon
%{__install} -D -m 0644 -p ./src/gui/artwork/logo.svg \
     %{buildroot}%{_datadir}/pixmaps/%{name}-logo.svg

desktop-file-install --vendor=""  \
  --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

# consolehelper
%{__install} -d %{buildroot}%{_bindir}
%{__ln_s} -f consolehelper %{buildroot}%{_bindir}/%{name}-gui
%{__install} -D -m 0644 %{SOURCE2} \
   %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-gui
%{__install} -D -m 0644 %{SOURCE3} \
   %{buildroot}%{_sysconfdir}/pam.d/%{name}-gui

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc COPYING README docs/*
%doc %{_mandir}/man1/lshw.1*
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/*.ids

%files gui
%defattr(-, root, root, -)
%doc COPYING
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-gui
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}-gui
%{_bindir}/%{name}-gui
%{_sbindir}/gtk-%{name}
%{_sbindir}/%{name}-gui
%{_datadir}/%{name}/artwork
%{_datadir}/pixmaps/%{name}-logo.svg
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (B.02.14-1m)
- update to B.02.14

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (B.02.12.01-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (B.02.12.01-2m)
- rebuild against rpm-4.6

* Thu Jul 10 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (B.02.12.01-1m)
- sync Fedora
- changelog is below
-
- * Tue Apr 15 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-5
- - rebuild
- 
- * Tue Apr 15 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-4
- - add patch to fix bz #442501
- 
- * Mon Feb 11 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-3
- - add patch to build with gcc-4.3
- 
- * Mon Feb  9 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-2
- - rebuild
- 
- * Mon Nov  5 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-1
- - B.02.12.01
- - Replace trademark icons
- 
- * Tue Aug 14 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-3
- - Move desktop and pam config to files
- - Simplify build
- 
- * Tue Aug 07 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-2
- - Remove trademarks
- 
- * Mon Aug 06 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-1
- - B.02.11.01
- 
- * Sun Aug 05 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-3
- - Move artwork to gui subpackage
- - Implement consolehelper support
- 
- * Sat Aug 04 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-2
- - License is GPLv2 (only)
- - Fix ui %%description
- 
- * Wed Aug 01 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-1
- - Follow upstream version scheme
- 
- * Wed Jul 25 2007 Terje Rosten <terjeros@phys.ntnu.no> - 2.11-1
- - 2.11
- 
- * Wed Jun 27 2007 Terje Rosten <terjeros@phys.ntnu.no> - 2.10-2
- - minor fixes
- - add patch to avoid stripping
- - add desktop file
- - strip changelog
- - move from sbin to bin
- - new url
- 
- * Wed Feb 14 2007 Dag Wieers <dag@wieers.com> - 2.10-1 - 4876+/dag
- - Updated to release B.02.10.

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (B.02.08.01-4m)
- rebuild against gcc43

* Thu Feb 14 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (B.02.08.01-3m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (B.02.08.01-2m)
- %%NoSource -> NoSource

* Mon Jul 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (B.02.08.01-1m)
- version up B.02.08.01

* Mon Dec 19 2005 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.06-1m)
- minor feature enhancements
- remove 'lshw-B.02.03-gcc4.patch' that is no longer needed

* Wed Nov  8 2005 yohsuke Ooi <meke@momonga-linux.org>
- (B.02.03-2m)
- add gcc4 patch
- Patch0: lshw-B.02.03-gcc4.patch

* Sat Feb  5 2005 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.03-1)
- minor feature enhancements

* Sat Jan 22 2005 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.02-1m)
- minor bugfixes

* Mon Jan 10 2005 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.01-1m)
- minor feature enhancements

* Tue Dec 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.00-1m)
- add a GTK+ GUI

* Wed Dec  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (A.01.09-1m)
- major feature enhancements

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (A.01.08-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Tue Sep  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (A.01.08-1m)
- minor feature enhancements

* Fri May 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (A.01.07-1m)
- minor bugfixes

* Fri Feb 27 2004 Kazuhiko <kazuhiko@fdiary.net>
- (A.01.06-1m)
- minor feature enhancements

* Mon Dec 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (A.01.05-1m)
- update to A.01.05

* Sun Apr 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (A.01.00-1m)
  update to A.01.00

* Fri Mar 14 2003 Kazuhiko <kazuhiko@fdiary.net>
- (T.00.07-1m)

* Sat Feb 15 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (T.00.06-1m)
  update to T.00.06

* Mon Feb 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (T.00.05-1m)
  imported
